curl --request POST \
--url https://wallet-sandbox.blockops.network/api/v1/web3/{wallet_id}/sign \
--header 'ACCESS-API-KEY: <api-key>' \
--header 'ACCESS-SIGN: <api-key>' \
--header 'ACCESS-TIMESTAMP: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"network_internal_code": "ETHER_SEPOLIA_TESTNET",
"signing_hash": "0x1111111111111111111111111111111111111111111111111111111111111111",
"networkInternalCode": "ETHER_SEPOLIA_TESTNET",
"key_type": "secp256k1",
"signingHash": "<string>",
"hash": "<string>",
"transaction_hash": "<string>",
"transactionHash": "<string>",
"unsigned_tx": "<string>",
"unsignedTx": "<string>",
"raw_transaction": "<string>",
"rawTransaction": "<string>",
"tx": "<string>",
"derivation_path": "44/60/0/0/0",
"derivationPath": "<string>",
"derivation_path_components": [
44,
60,
0,
0,
0
]
}
'import requests
url = "https://wallet-sandbox.blockops.network/api/v1/web3/{wallet_id}/sign"
payload = {
"network_internal_code": "ETHER_SEPOLIA_TESTNET",
"signing_hash": "0x1111111111111111111111111111111111111111111111111111111111111111",
"networkInternalCode": "ETHER_SEPOLIA_TESTNET",
"key_type": "secp256k1",
"signingHash": "<string>",
"hash": "<string>",
"transaction_hash": "<string>",
"transactionHash": "<string>",
"unsigned_tx": "<string>",
"unsignedTx": "<string>",
"raw_transaction": "<string>",
"rawTransaction": "<string>",
"tx": "<string>",
"derivation_path": "44/60/0/0/0",
"derivationPath": "<string>",
"derivation_path_components": [44, 60, 0, 0, 0]
}
headers = {
"ACCESS-API-KEY": "<api-key>",
"ACCESS-TIMESTAMP": "<api-key>",
"ACCESS-SIGN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'ACCESS-API-KEY': '<api-key>',
'ACCESS-TIMESTAMP': '<api-key>',
'ACCESS-SIGN': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
network_internal_code: 'ETHER_SEPOLIA_TESTNET',
signing_hash: '0x1111111111111111111111111111111111111111111111111111111111111111',
networkInternalCode: 'ETHER_SEPOLIA_TESTNET',
key_type: 'secp256k1',
signingHash: '<string>',
hash: '<string>',
transaction_hash: '<string>',
transactionHash: '<string>',
unsigned_tx: '<string>',
unsignedTx: '<string>',
raw_transaction: '<string>',
rawTransaction: '<string>',
tx: '<string>',
derivation_path: '44/60/0/0/0',
derivationPath: '<string>',
derivation_path_components: [44, 60, 0, 0, 0]
})
};
fetch('https://wallet-sandbox.blockops.network/api/v1/web3/{wallet_id}/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "success",
"code": 0,
"data": {
"created": true,
"signing_request": {
"id": "<string>",
"signing_id": "<string>",
"operation_type": "withdrawal",
"wallet_id": "<string>",
"network_internal_code": "<string>",
"key_type": "secp256k1",
"signing_hash": "<string>",
"derivation_path": "<string>",
"status": "pending",
"withdrawal_id": "<string>",
"status_reason": "<string>",
"mpc_correlation_id": "<string>",
"error_code": "<string>",
"error_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": true,
"message": "success",
"code": 0,
"data": {
"created": true,
"signing_request": {
"id": "<string>",
"signing_id": "<string>",
"operation_type": "withdrawal",
"wallet_id": "<string>",
"network_internal_code": "<string>",
"key_type": "secp256k1",
"signing_hash": "<string>",
"derivation_path": "<string>",
"status": "pending",
"withdrawal_id": "<string>",
"status_reason": "<string>",
"mpc_correlation_id": "<string>",
"error_code": "<string>",
"error_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"message": "success",
"code": 0,
"data": null
}{
"success": false,
"message": "invalid api signature",
"code": "unauthorized",
"data": null
}{
"success": false,
"message": "success",
"code": 0,
"data": null
}{
"success": false,
"message": "success",
"code": 0,
"data": null
}Create a constrained generic signing request
Compatibility alias for SDK requestSign calls. Semantics match /api/v1/web3/transaction//signRaw and it is deprecated for policy-governed tenants in favor of /api/v1/web3/transaction//signTyped.
Authorizations
HMAC API-key identifier.
Unix timestamp in seconds.
Base64-encoded hex HMAC signature.
Headers
Idempotency key for write operations.
128Path Parameters
Body
Network internal code.
"ETHER_SEPOLIA_TESTNET"
Hex-encoded 32-byte digest to sign.
"0x1111111111111111111111111111111111111111111111111111111111111111"
Camel-case compatibility alias for network_internal_code.
"ETHER_SEPOLIA_TESTNET"
secp256k1, ed25519 secp256k1, ed25519 Camel-case compatibility alias for signing_hash.
Compatibility alias for signing_hash.
Compatibility alias for signing_hash.
Compatibility alias for signing_hash.
Optional hex payload to persist for audit; defaults to signing_hash.
"44/60/0/0/0"
x >= 0[44, 60, 0, 0, 0]

